#
# spec file for package mtr (Version 0.44)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel gtkdoc xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gtkdoc gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         mtr
Summary:      Ping/Traceroute network diagnostic tool
Version:      0.44
Release:      67
Group:		Applications/Networking
Copyright:	GPL
Url:		http://www.BitWizard.nl/mtr
Source:		mtr-%{version}.tar.bz2
Patch0:		mtr-%{version}-destdir.patch
Patch1:		mtr-%{version}-manmtr.patch
Patch2:		mtr-%{version}-manxmtr.patch
Patch3:		mtr-%{version}-inc.patch
Buildroot:	/var/tmp/%{name}-build
Icon:		%{name}.gif

%description
Mtr is a network diagnostic tool which combines Ping and
Traceroute into one program.
This package contains the mtr version with ncurses interface, i.e. the text
mode version, which thus is usable in a shell (e.g. telnet/ssh session).
You will find the graphical version in the package mtr-gtk.

Authors:
--------
    Roger Wolff <R.E.Wolff@BitWizard.nl>

SuSE series: n

%package gtk
Summary:      Ping/Traceroute network diagnostic tool
Group:		Applications/Networking

%description gtk
Mtr is a network diagnostic tool which combines Ping and
Traceroute into one program.
This package contains a mtr with GTK interface. You'll find the text mode
version in the package mtr.

Authors:
--------
    Roger Wolff <R.E.Wolff@BitWizard.nl>

SuSE series: n

%prep
%setup -q
cp mtr.8 xmtr.8
%patch0
%patch1
%patch2
%patch3

%build
aclocal
automake --foreign
autoconf 
#
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr/X11R6
make && mv mtr xmtr  
make distclean
#
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr \
	--mandir=%{_mandir} \
	--without-gtk
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{X11R6/bin,sbin}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
make DESTDIR=$RPM_BUILD_ROOT install-strip
install -s -m 4755 xmtr $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 xmtr.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps/
install -m 644 img/mtr_icon.xpm $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps/xmtr_icon.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING FORMATS INSTALL NEWS README SECURITY TODO
%doc %{_mandir}/man8/mtr.8*
%attr(755,root,root) /usr/sbin/mtr

%files gtk
%defattr(-,root,root)
%doc AUTHORS COPYING FORMATS INSTALL NEWS README SECURITY TODO
%doc %{_mandir}/man8/xmtr.8*
%attr(755,root,root) /usr/X11R6/bin/xmtr
/usr/X11R6/include/X11/pixmaps/*

%changelog -n mtr
* Fri Jul 20 2001 - pmladek@suse.cz
- updated to version 0.44
* Wed May 23 2001 - pmladek@suse.cz
- fixed include files on ia64
* Mon Apr 16 2001 - pmladek@suse.cz
- updated to version 0.43
- removed patch for configure.in (in new version isn't need)
- fixed compilation without GTK
* Wed Mar 28 2001 - pmladek@suse.cz
- removed dependence mtr-gtk on mtr (really doesn't exist)
- added icon for xmtr to /usr/X11R6/...
* Wed Mar 14 2001 - pmladek@suse.cz
- new package
- fixed configure.in (res_init)
- fixed Makefile.am (DESTDIR)
- version with and without GTK
